QGIS Application - Feature request #997
Enable digitizing in freehand / sketch / stream mode
2008-03-17 09:20 PM - springmeyer -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Digitising

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 11057
Description

I may be missing that this is a extant feature in the advanced editing branch. Hopefully it is, and if so sorry for overlooking it.

In the case that it is not, adding the ability to draw lines and polygons in freehand mode would be an excellent addition to qgis. Stream
digitizing is the term ESRI uses, and I've heard the term sketch used as well.

This functionality is currently available in Openlayers via a shift-drag keystroke-mouse combination and enabling this feature using the
same keystroke in Qgis might be slick. Options should be added along with the feature to enable a tolerance for the number of features to
be plotted based on either map units or screen units, therefore limiting the number of vertices that will actually be digitized.

History

#1 - 2008-07-06 01:44 PM - John Tull

Now that there is a tool to select by freehand, | wonder if that code can be used to create a freehand polygon/line drawing tool.

#2 - 2010-11-16 05:25 PM - Volker Frohlich

The freehand editing plugin can sketch lines and polygons. You can't switch between editing modes though. Some measure of precision is also included.

"TraceDigitize" may also be mentioned here.

#3 - 2010-11-17 01:07 AM - Giovanni Manghi
- Resolution set to wontfix

- Status changed from Open to Closed

... and then | believe then that this can be closed... please reopen if you feel that the freehand plugin doesn't fit your description.
